<?php
/*
webDevStudio
Copyright (C) 2005 Alberto Martnez Fernndez (albertinho_2000@hotmail.com)
                   Israel Ortiz Flores (i_ortiz_flores@hotmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

//echo getcwd() . "\n";

//Damos de alta las plataformas de compilacion
$platforms = array("Win32", "POSIX (Linux)");

//Damos de alta los lenguajes de cada plataforma
$languages["Win32"] = array ("C", "C++");
$languages["POSIX (Linux)"] = array ("C", "C++");

//Damos de alta las extensiones de los ficheros de cada lenguaje
//NOTA: La primera extensin deber ser la que se va a compilar
$extensions["C"] = array(".c", ".h");
$extensions["C++"] = array(".cpp", ".h");

//Damos de alta tipos de aplicaciones en funcion de la plataforma y el lenguaje
$applications["Win32"]["C"] = array("Console", "Windows");
$applications["Win32"]["C++"] = array("Console", "Windows");
$applications["POSIX (Linux)"]["C"] = array("Console");
$applications["POSIX (Linux)"]["C++"] = array("Console");

//Indicamos cual es el path del compilador
$compiler_path["Win32"]["C"]["Console"]="../compile/cross-tools/i386-mingw32msvc/bin/gcc";
$compiler_path["Win32"]["C"]["Windows"]="../compile/cross-tools/i386-mingw32msvc/bin/gcc";
$compiler_path["Win32"]["C++"]["Console"]="../compile/cross-tools/i386-mingw32msvc/bin/g++";
$compiler_path["Win32"]["C++"]["Windows"]="../compile/cross-tools/i386-mingw32msvc/bin/g++";
$compiler_path["POSIX (Linux)"]["C"]["Console"]="gcc";
$compiler_path["POSIX (Linux)"]["C++"]["Console"]="g++";

//Indicamos cual es el path del builder
$builder_path["Win32"]["C"]["Console"]="../compile/cross-tools/i386-mingw32msvc/bin/gcc";
$builder_path["Win32"]["C"]["Windows"]="../compile/cross-tools/i386-mingw32msvc/bin/gcc";
$builder_path["Win32"]["C++"]["Console"]="../compile/cross-tools/i386-mingw32msvc/bin/g++";
$builder_path["Win32"]["C++"]["Windows"]="../compile/cross-tools/i386-mingw32msvc/bin/g++";
$builder_path["POSIX (Linux)"]["C"]["Console"]="gcc";
$builder_path["POSIX (Linux)"]["C++"]["Console"]="g++";

//Indicamos cual es el modulo de compilacion para esa aplicacion
$compile_module["Win32"]["C"]["Console"]="win32_c_console_compiler.php";
$compile_module["Win32"]["C"]["Windows"]="win32_c_windows_compiler.php";
$compile_module["Win32"]["C++"]["Console"]="win32_cpp_console_compiler.php";
$compile_module["Win32"]["C++"]["Windows"]="win32_cpp_windows_compiler.php";
$compile_module["POSIX (Linux)"]["C"]["Console"]="linux_c_console_compiler.php";
$compile_module["POSIX (Linux)"]["C++"]["Console"]="linux_cpp_console_compiler.php";

//Indicamos cual es el modulo de compilacion para esa aplicacion
$builder_module["Win32"]["C"]["Console"]="win32_c_console_builder.php";
$builder_module["Win32"]["C"]["Windows"]="win32_c_windows_builder.php";
$builder_module["Win32"]["C++"]["Console"]="win32_cpp_console_builder.php";
$builder_module["Win32"]["C++"]["Windows"]="win32_cpp_windows_builder.php";
$builder_module["POSIX (Linux)"]["C"]["Console"]="linux_c_console_builder.php";
$builder_module["POSIX (Linux)"]["C++"]["Console"]="linux_cpp_console_builder.php";

?>
